Premium Auction House - The Ultimate Auction House [Paid]

Discussion in 'Resource Discussion' started by KiranHart, Sep 3, 2018.

  1. Just to let you know, Auction house doesn't load with 1.16.1 Paper as it sees it as an unsupported version, if this is intentional then fair enough if not then here's a stack trace as it also throws a null pointer on disable.
    https://paste.md-5.net/vavinoguwi.apache

    Cheers
     
    • Like Like x 1
  2. plugin not working in 1.16.1
    Code (Text):
    [20:35:14 INFO]: [AuctionHouse] Disabling AuctionHouse v1.12.5
    [20:35:14 ERROR]: Error occurred while disabling AuctionHouse v1.12.5 (Is it up to date?)
    java.lang.NullPointerException: null
    at com.kiranhart.auctionhouse.Core.onDisable(Core.java:170) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:265) ~[patched_1.16.1.jar:git-Paper-86]
    at org.bukkit.plugin.java.JavaPluginLoader.disablePlugin(JavaPluginLoader.java:415) ~[patched_1.16.1.jar:git-Paper-86]
    at org.bukkit.plugin.SimplePluginManager.disablePlugin(SimplePluginManager.java:516) ~[patched_1.16.1.jar:git-Paper-86]
    at org.bukkit.plugin.SimplePluginManager.disablePlugin(SimplePluginManager.java:508) ~[patched_1.16.1.jar:git-Paper-86]
    at com.kiranhart.auctionhouse.Core.onEnable(Core.java:84) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:263) ~[patched_1.16.1.jar:git-Paper-86]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:380) ~[patched_1.16.1.jar:git-Paper-86]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:483) ~[patched_1.16.1.jar:git-Paper-86]
    at org.bukkit.craftbukkit.v1_16_R1.CraftServer.enablePlugin(CraftServer.java:500) ~[patched_1.16.1.jar:git-Paper-86]
    at org.bukkit.craftbukkit.v1_16_R1.CraftServer.enablePlugins(CraftServer.java:414) ~[patched_1.16.1.jar:git-Paper-86]
    at net.minecraft.server.v1_16_R1.MinecraftServer.loadWorld(MinecraftServer.java:471) ~[patched_1.16.1.jar:git-Paper-86]
    at net.minecraft.server.v1_16_R1.DedicatedServer.init(DedicatedServer.java:241) ~[patched_1.16.1.jar:git-Paper-86]
    at net.minecraft.server.v1_16_R1.MinecraftServer.v(MinecraftServer.java:940) ~[patched_1.16.1.jar:git-Paper-86]
    at net.minecraft.server.v1_16_R1.MinecraftServer.lambda$a$0(MinecraftServer.java:177) ~[patched_1.16.1.jar:git-Paper-86]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_242]
     
  3. Hello,

    Bought this the other day for the spigot server, Its stating it has a different version to the server or such and just disables itself on startup.

    This is normal spigot, please can you fix this.

    Thank you.

    Edit:

    Here is the code, and will add, though it says 'Loading Auction house 1.11' I have the latest here being 1.12.5,

    Code (Text):
    03.08 23:22:27 [Server] Server thread/INFO [AuctionHouse] Enabling AuctionHouse v1.12.5
    03.08 23:22:27 [Server] Server thread/INFO =========================================
    03.08 23:22:27 [Server] Server thread/INFO Loading Auction House 1.11 - Multiversion
    03.08 23:22:27 [Server] Server thread/INFO This plugin was designed by Kiran Hart any
    03.08 23:22:27 [Server] Server thread/INFO problems should be reported directly to him.
    03.08 23:22:27 [Server] Server thread/INFO =========================================
    03.08 23:22:27 [Server] Server thread/INFO [AuctionHouse] Initializing instance
    03.08 23:22:27 [Server] Server thread/INFO [AuctionHouse] Checking server version
    03.08 23:22:27 [Server] Server thread/INFO ===========================================
    03.08 23:22:27 [Server] Server thread/INFO Disabling Auction House 1.11 - Multiversion
    03.08 23:22:27 [Server] Server thread/INFO Server Version is not supported!
    03.08 23:22:27 [Server] Server thread/INFO =========================================
    03.08 23:22:27 [Server] Server thread/INFO [AuctionHouse] Disabling AuctionHouse v1.12.5
    03.08 23:22:27 [Server] Server thread/ERROR Error occurred while disabling AuctionHouse v1.12.5 (Is it up to date?)
    03.08 23:22:27 [Server] INFO java.lang.NullPointerException: null
    03.08 23:22:27 [Server] INFO at com.kiranhart.auctionhouse.Core.onDisable(Core.java:170) ~[?:?]
    03.08 23:22:27 [Server] INFO at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:265) ~[spigot-1.16.1.jar:git-Spigot-9639cf7-8fb6585]
    03.08 23:22:27 [Server] INFO at org.bukkit.plugin.java.JavaPluginLoader.disablePlugin(JavaPluginLoader.java:376) ~[spigot-1.16.1.jar:git-Spigot-9639cf7-8fb6585]
    03.08 23:22:27 [Server] INFO at org.bukkit.plugin.SimplePluginManager.disablePlugin(SimplePluginManager.java:501) ~[spigot-1.16.1.jar:git-Spigot-9639cf7-8fb6585]
    03.08 23:22:27 [Server] INFO at com.kiranhart.auctionhouse.Core.onEnable(Core.java:84) ~[?:?]
    03.08 23:22:29 [Multicraft] Skipped 18 lines due to rate limit (30/s)
    03.08 23:22:29 [Server] Server thread/INFO HikariPool-1 - Starting...
    03.08 23:22:29 [Server] Server thread/INFO HikariPool-1 - Start completed.
     
  4. I need some help regarding 1.16 support, the plugin gets disabled.
     
  5. Its a bug thats been reported since 9th July, from what I see on this page.

    No idea what the dev is doing as no communication has been made.

    Which is annoying as I haven't had this that long at all and won't work on the 1.16.1 I got it for.
     
    • Agree Agree x 1
  6. I would like to state to the author, check your discussion feed.

    This problem has been stated multiple times now and has gone on for over a month.

    We are paying customers, and would expect this to work when you state it is supported for 1.16. I will update the review of course when I like others can use this plugin.

    Thank you.
     
    • Informative Informative x 1
  7. Hello,

    Thank you for the update, it is now enabled so should work and I can give a review properly.

    I will state. This is a PAID Plugin.
    for people like myself who looked at it, bought it to use without knowing how you operate, you have been highly unprofessional. I thank you for the support on this plugin but your customer service skills need some solid work.
    For a premium plugin I'm sure its not much to either 'unmute' a notification on it or check in once a week or once every other week. People like myself pay for this and have an expectation of you, we gave you a month before I decided to do something.

    Its not great to then have on the server console, in an update and elsewhere in big letters saying to contact you personally on any issue like you've thrown your toys out the pram.

    You provide this plugin as a service on our server, we don't need to contact all the authors privately about every issue, using this discussion thread is how we know there is one, and updates into resolving it etc by you, I'm hardly going to remember to privately pm you if others have a similar issue at the time or a few months down the line.

    I just ask you keep up to date, its not that hard, 5 minutes every 2 weeks or such to check up on it.

    If there is an issue with someone like myself, just talk like a human being and don't get massively butt hurt about it.
     
  8. Does this plugin allow you to tax auctions? So far seems the most feature rich that would be the selling point for me.
     
  9. Nope, not at the moment.
     
  10. I didn’t have a for sure answer. That’s why I didn’t reply back just yet.

    May I ask, did you switch the bidding system on/off while there were items in the AuctionHouse?
     
  11. Sorry my bad - Nope, only thing I changed was 'auto-refresh-auction-pages' from true to false
     
  12. Hmm, it might be that, although I’d doubt that will cause an index error. I’d say lock the auction house, then run the endall command, unlock it and try opening it to see if it lets you.
     
  13. Can I just confirm that when you guys do click the item within the inventory, does it let you use that items function but give an error in the console or does it give the error and doesn’t work at all?